[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'BufDataset' (#fcl)

# TCompareFunc

Function used to compare values to determine their relative sort order

## Declaration

Source position: bufdataset.pas line 101

`type TCompareFunc = function(`
`subValue: pointer;`
`aValue: pointer;`
`size: Integer;`
`options: TLocateOptions`
`):Int64;`

## Arguments

`subValue` |  | Pointer to a compared value
`aValue` |  | Pointer to a compared value
`size` |  | Number of bytes included in the comparison
`options` |  | Locate options to use in the routine

## Function result

Relative order for the compared pointer values

## Description

TCompareFunc is an Int64 function type used to compare pointers using the specified locate option values. TCompareFunc is used in the implementation of the TDBCompareRec type.

## See also

TDBCompareRec |  | Implements a structure used to compare values for a group of fields in TBufDataset